import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A lobster. Lobsters live on the beach/ in the water. They like to eat crabs. 
 * (Well, this our game they do...)
 * 
 * The lobster moves with your input. If it runs into a crab it eats it.
 */

public class Lobster extends Animal
{
    /**
     * Do whatever lobsters do.
     */
    public void act()
    {
        move(7);
        lookForCrab();
        checkKeypress();
        lookForSpider();
    }

    /**
     * Check whether a control key on the keyboard has been pressed.
     * If it has, react accordingly.
     */
    public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("left")) 
        {
            turn(-10);
        }
        if (Greenfoot.isKeyDown("right")) 
        {
            turn(10);
        }
    }
    
    /**
     * Try to pinch a crab. That is: check whether we have stumbled upon a crab.
     * If we have, remove the crab from the game, and add 10 points to the score.
     */
    public void lookForCrab()
    {
        if ( canSee(Crab.class) ) 
        {
            eat(Crab.class);
            ((CrabWorld) getWorld()).score += 10;
        }
    }
    /**
     * Try to pinch a Spider. That is: check whether we have stumbled upon a crab.
     * If we have, remove the crab from the game, and add 50 points to the score.
     * This also adds to spidersEaten in CrabWorld, which affects what the energy
     * meter displays.
     */
    public void lookForSpider()
    {
        if( canSee(Spider.class))
        {
            eat(Spider.class);
            ((CrabWorld) getWorld()).score += 50;
            ((CrabWorld) getWorld()).spidersEaten += 1;
        }
    }
}